package cn.orm.abs;

import java.util.ArrayList;
import java.util.Map;

/**此接口定义需要从sqlsam移植过来的接口*/
public interface ISqlToyDao extends ISqlToySamExt
{
	Boolean delBatch(String tableName,Map<String, Object> keyParam) ;
	int executeBatch(ArrayList<String> list);
	int executeBatch(String[] sql);
	int insertAndGenIndex(String tableName, Map<String, Object> mapRecord);
}
